diff --git a/doc/src/sgml/btree.sgml b/doc/src/sgml/btree.sgml
index d03ee4d6fa..435b7cb24d 100644
--- a/doc/src/sgml/btree.sgml
+++ b/doc/src/sgml/btree.sgml
@@ -566,7 +566,7 @@ equalimage(<replaceable>opcintype</replaceable> <type>oid</type>) returns bool
 <synopsis>
 options(<replaceable>relopts</replaceable> <type>local_relopts *</type>) returns void
 </synopsis>
-     The function is passed a pointer to a <replaceable>local_relopts</replaceable>
+     The function is passed a pointer to a <structname>local_relopts</structname>
      struct, which needs to be filled with a set of operator class
      specific options.  The options can be accessed from other support
      functions using the <literal>PG_HAS_OPCLASS_OPTIONS()</literal> and
diff --git a/doc/src/sgml/datetime.sgml b/doc/src/sgml/datetime.sgml
index bbf50b76f8..d466e09381 100644
--- a/doc/src/sgml/datetime.sgml
+++ b/doc/src/sgml/datetime.sgml
@@ -564,7 +564,7 @@
   </indexterm>
 
   <para>
-   <acronym>PostgreSQL</acronym> can accept time zone specifications that
+   <productname>PostgreSQL</productname> can accept time zone specifications that
    are written according to the <acronym>POSIX</acronym> standard's rules
    for the <varname>TZ</varname> environment
    variable.  <acronym>POSIX</acronym> time zone specifications are
@@ -635,8 +635,8 @@
    or <literal>-</literal>).  The positive sign is used for
    zones <emphasis>west</emphasis> of Greenwich.  (Note that this is the
    opposite of the ISO-8601 sign convention used elsewhere in
-   <acronym>PostgreSQL</acronym>.)  <replaceable>hh</replaceable> can have
-   one or two digits; <replaceable>mm</replaceable>
+   <productname>PostgreSQL</productname>.)  <replaceable>hh</replaceable>
+   can have one or two digits; <replaceable>mm</replaceable>
    and <replaceable>ss</replaceable> (if used) must have two.
   </para>
 
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index b1c92196e2..800a5414d4 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -9236,7 +9236,7 @@ SELECT EXTRACT(CENTURY FROM TIMESTAMP '2001-02-16 20:38:40');
       <listitem>
        <para>
         For <type>timestamp</type> values, the day (of the month) field
-        (1&ndash;31) ; for <type>interval</type> values, the number of days
+        (1&ndash;31); for <type>interval</type> values, the number of days
        </para>
 
 <screen>
@@ -9460,7 +9460,7 @@ SELECT EXTRACT(MINUTE FROM TIMESTAMP '2001-02-16 20:38:40');
       <listitem>
        <para>
         For <type>timestamp</type> values, the number of the month
-        within the year (1&ndash;12) ; for <type>interval</type> values,
+        within the year (1&ndash;12); for <type>interval</type> values,
         the number of months, modulo 12 (0&ndash;11)
        </para>
 
@@ -14074,7 +14074,7 @@ SELECT xmltable.*
                         size_sq_km float PATH 'SIZE[@unit = "sq_km"]',
                         size_other text PATH
                              'concat(SIZE[@unit!="sq_km"], " ", SIZE[@unit!="sq_km"]/@unit)',
-                        premier_name text PATH 'PREMIER_NAME' DEFAULT 'not specified') ;
+                        premier_name text PATH 'PREMIER_NAME' DEFAULT 'not specified');
 
  id | ordinality | COUNTRY_NAME | country_id | size_sq_km |  size_other  | premier_name  
 ----+------------+--------------+------------+------------+--------------+---------------
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 754581441f..3b954b54a2 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -781,7 +781,7 @@ PGPing PQping(const char *conninfo);
      <listitem>
       <para>
        <function>PQsetSSLKeyPassHook_OpenSSL</function> lets an application override
-       <literal>libpq</literal>'s <link linkend="libpq-ssl-clientcert">default
+       <application>libpq</application>'s <link linkend="libpq-ssl-clientcert">default
        handling of encrypted client certificate key files</link> using
        <xref linkend="libpq-connect-sslpassword"/> or interactive prompting.
 
@@ -793,20 +793,23 @@ void PQsetSSLKeyPassHook_OpenSSL(PQsslKeyPassHook_OpenSSL_type hook);
 <programlisting>
 int callback_fn(char *buf, int size, PGconn *conn);
 </programlisting>
-       which <literal>libpq</literal> will then call <emphasis>instead of</emphasis>
-       its default <function>PQdefaultSSLKeyPassHook_OpenSSL</function> handler. The callback
-       should determine the password for the key and copy it to result-buffer
-       <literal>buf</literal> of size <literal>size</literal>. The string in <literal>
-       buf</literal> must be null-terminated. The callback must return the length of
-       the password stored in <literal>buf</literal> excluding the null terminator.
-       On failure, the callback should set <literal>buf[0] = '\0'</literal> and return 0.
-       See <function>PQdefaultSSLKeyPassHook_OpenSSL</function> in <literal>libpq</literal>'s
-       source code for an example.
-      </para>
-       
+       which <application>libpq</application> will then call
+       <emphasis>instead of</emphasis> its default
+       <function>PQdefaultSSLKeyPassHook_OpenSSL</function> handler.
+       The callback should determine the password for the key and copy
+       it to result-buffer <parameter>buf</parameter> of size
+       <parameter>size</parameter>.
+       The string in <parameter>buf</parameter> must be null-terminated.
+       The callback must return the length of the password stored in
+       <parameter>buf</parameter> excluding the null terminator.
+       On failure, the callback should set <literal>buf[0] = '\0'</literal>
+       and return 0. See <function>PQdefaultSSLKeyPassHook_OpenSSL</function>
+       in <application>libpq</application>'s source code for an example.
+      </para>
+
       <para>
        If the user specified an explicit key location,
-       its path will be in <literal>conn->pgsslkey</literal> when the callback
+       its path will be in <literal>conn->sslkey</literal> when the callback
        is invoked. This will be empty if the default key path is being used.
        For keys that are engine specifiers, it is up to engine implementations
        whether they use the OpenSSL password callback or define their own handling.
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 5243f5f346..50f0612b43 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -4440,7 +4440,7 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
        <structfield>name</structfield> <type>text</type>
       </para>
       <para>
-       name of the SLRU
+       Name of the SLRU
       </para></entry>
      </row>
 
@@ -4644,7 +4644,7 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
         argument.  The argument can be <literal>bgwriter</literal> to reset
         all the counters shown in
         the <structname>pg_stat_bgwriter</structname>
-        view,or <literal>archiver</literal> to reset all the counters shown in
+        view, or <literal>archiver</literal> to reset all the counters shown in
         the <structname>pg_stat_archiver</structname> view.
        </para>
        <para>
@@ -5184,8 +5184,8 @@ SELECT pg_stat_get_backend_pid(s.backendid) AS pid,
      <row>
       <entry><literal>finalizing analyze</literal></entry>
       <entry>
-       The command is updating pg_class. When this phase is completed,
-       <command>ANALYZE</command> will end.
+       The command is updating <structname>pg_class</structname>. When this
+       phase is completed, <command>ANALYZE</command> will end.
       </entry>
      </row>
     </tbody>
